%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

%define src_ver 0.01-0
%define fname aspell5-%{languagecode}
%define aspell_ver 0.60
%define languageenglazy Nyanja
%define languagecode ny
# FIXME: no locale yet
%define lc_ctype ny_

Summary:       %{languageenglazy} files for aspell
Name:          aspell-%{languagecode}
Version:       0.01.0
Release:       %mkrel 21
Group:         System/Internationalization
Source:        https://ftp.gnu.org/gnu/aspell/dict/%{languagecode}/%{fname}-%{src_ver}.tar.bz2
URL:		   http://aspell.net/
License:	   GPL
Provides: spell-%{languagecode}

BuildRequires: aspell >= %{aspell_ver}
BuildRequires: make
Requires:      aspell >= %{aspell_ver}

# Mageia Stuff
# no locales-ny available yet.
#Requires:      locales-%{languagecode}
Provides:      aspell-dictionary
Provides:      aspell-%{lc_ctype}

Autoreqprov:   no

%description
A %{languageenglazy} dictionary for use with aspell, a spelling checker.

%prep
%setup -q -n %{fname}-%{src_ver}

%build
# don't use configure macro
./configure

%make_build

%install
%make_install

chmod 644 Copyright README* doc/*

%files
%doc README* Copyright doc/*
%{_libdir}/aspell-%{aspell_ver}/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.01.0-21.mga10
+ Revision: 2195112
- Mageia 10 Mass Rebuild

* Mon Mar 14 2022 umeabot <umeabot> 0.01.0-20.mga9
+ Revision: 1791299
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.01.0-19.mga8
+ Revision: 1510360
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Fri Sep 21 2018 umeabot <umeabot> 0.01.0-18.mga7
+ Revision: 1294835
- Mageia 7 Mass Rebuild

* Wed Feb 03 2016 umeabot <umeabot> 0.01.0-17.mga6
+ Revision: 933588
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.01.0-16.mga5
+ Revision: 751165
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.01.0-15.mga5
+ Revision: 677970
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.01.0-14.mga4
+ Revision: 502762
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.01.0-13.mga3
+ Revision: 346350
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Feb 17 2012 kamil <kamil> 0.01.0-12.mga2
+ Revision: 209948
+ rebuild (emptylog)

* Fri Jan 14 2011 dmorgan <dmorgan> 0.01.0-10.mga2
+ Revision: 17352
- Remove mandriva occurencies
+ ahmad <ahmad>
- imported package aspell-ny


* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 0.01.0-10mdv2011.0
+ Revision: 603450
- rebuild

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 0.01.0-9mdv2010.1
+ Revision: 518951
- rebuild

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 0.01.0-8mdv2010.0
+ Revision: 413093
- rebuild

* Fri Mar 06 2009 Antoine Ginies <aginies@mandriva.com> 0.01.0-7mdv2009.1
+ Revision: 350084
- 2009.1 rebuild

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 0.01.0-6mdv2009.0
+ Revision: 220436
- rebuild

* Sun Mar 09 2008 Anssi Hannula <anssi@mandriva.org> 0.01.0-5mdv2008.1
+ Revision: 182519
- provide enchant-dictionary

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request
    - s/Mandrake/Mandriva/

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Wed Feb 21 2007 Oden Eriksson <oeriksson@mandriva.com> 0.01.0-3mdv2007.0
+ Revision: 123345
- Import aspell-ny

* Wed Feb 21 2007 Oden Eriksson <oeriksson@mandriva.com> 0.01.0-3mdv2007.1
- use the mkrel macro
- disable debug packages

* Wed Feb 16 2005 Pablo Saratxaga <pablo@mandrakesoft.com> 0.01.0-2mdk
- removed dependency on locales-ny (which isn't there yet)

* Fri Dec 03 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 0.01.0-1mdk
- first version

